export function isPDFFunction(v: any): any;
export class PDFFunctionFactory {
    constructor({ xref, isEvalSupported }: {
        xref: any;
        isEvalSupported?: boolean | undefined;
    });
    xref: any;
    isEvalSupported: boolean;
    create(fn: any): any;
    createFromArray(fnObj: any): any;
    getCached(cacheKey: any): any;
    /**
     * @private
     */
    private _cache;
    /**
     * @private
     */
    private get _localFunctionCache();
}
export class PostScriptCompiler {
    compile(code: any, domain: any, range: any): string | null;
}
export class PostScriptEvaluator {
    constructor(operators: any);
    operators: any;
    execute(initialStack: any): any[];
}
